Merge a change request into the space's live content
Merges the change request's draft content into the space's primary (published) content, making all changes live. If the result is "conflicts", the merge was still applied but the space may need manual conflict resolution. Consider running updateChangeRequest first to sync with the latest live content and reduce conflicts.
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
spaceIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$changeRequestIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Responses
200
OK
application/json
revisionstringRequired
ID of the resulting revision
resultstring · enumRequiredPossible values:
post/spaces/{spaceId}/change-requests/{changeRequestId}/merge
POST /v1/spaces/{spaceId}/change-requests/{changeRequestId}/merge HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
{
"revision": "text",
"result": "merge"
}Last updated
Was this helpful?